<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionStopEngine Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d0e/class_action_stop_engine.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionStopEngine Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionStopEngine:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d0e/class_action_stop_engine.png" usemap="#ActionStopEngine_map" alt=""/>
  <map id="ActionStopEngine_map" name="ActionStopEngine_map">
<area href="../../d1/d91/class_action_single_use_base.html" alt="ActionSingleUseBase" shape="rect" coords="0,0,132,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8e5d7bc1eaceeaf23899798570ad36be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#a8e5d7bc1eaceeaf23899798570ad36be">ActionStopEngine</a> ()</td></tr>
<tr class="separator:a8e5d7bc1eaceeaf23899798570ad36be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae38cc3953f999fc90376955755c8fa6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#aae38cc3953f999fc90376955755c8fa6">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:aae38cc3953f999fc90376955755c8fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616270461e09a6d5ab1a8e9a68bdfaf6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#a616270461e09a6d5ab1a8e9a68bdfaf6">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a616270461e09a6d5ab1a8e9a68bdfaf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149a414b158109b1a898e23aaab43659"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#a149a414b158109b1a898e23aaab43659">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a149a414b158109b1a898e23aaab43659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a028d96e0315bed9e7bf7a8d58d6e0d00"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#a028d96e0315bed9e7bf7a8d58d6e0d00">OnExecuteClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a028d96e0315bed9e7bf7a8d58d6e0d00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7a0087f262f1391fdbf7558b1f715a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#aca7a0087f262f1391fdbf7558b1f715a">CanBeUsedInVehicle</a> ()</td></tr>
<tr class="separator:aca7a0087f262f1391fdbf7558b1f715a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826a26a103b06d28c69f2f3778fe446f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d0e/class_action_stop_engine.html#a826a26a103b06d28c69f2f3778fe446f">UseMainItem</a> ()</td></tr>
<tr class="separator:a826a26a103b06d28c69f2f3778fe446f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8e5d7bc1eaceeaf23899798570ad36be" name="a8e5d7bc1eaceeaf23899798570ad36be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5d7bc1eaceeaf23899798570ad36be">&#9670;&#160;</a></span>ActionStopEngine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionStopEngine::ActionStopEngine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a616270461e09a6d5ab1a8e9a68bdfaf6" name="a616270461e09a6d5ab1a8e9a68bdfaf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a616270461e09a6d5ab1a8e9a68bdfaf6">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionStopEngine::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00016">16</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<a id="aca7a0087f262f1391fdbf7558b1f715a" name="aca7a0087f262f1391fdbf7558b1f715a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca7a0087f262f1391fdbf7558b1f715a">&#9670;&#160;</a></span>CanBeUsedInVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionStopEngine::CanBeUsedInVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00054">54</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<a id="aae38cc3953f999fc90376955755c8fa6" name="aae38cc3953f999fc90376955755c8fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae38cc3953f999fc90376955755c8fa6">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionStopEngine::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00010">10</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<a id="a028d96e0315bed9e7bf7a8d58d6e0d00" name="a028d96e0315bed9e7bf7a8d58d6e0d00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a028d96e0315bed9e7bf7a8d58d6e0d00">&#9670;&#160;</a></span>OnExecuteClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionStopEngine::OnExecuteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00052">52</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<a id="a149a414b158109b1a898e23aaab43659" name="a149a414b158109b1a898e23aaab43659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a149a414b158109b1a898e23aaab43659">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionStopEngine::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00035">35</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<a id="a826a26a103b06d28c69f2f3778fe446f" name="a826a26a103b06d28c69f2f3778fe446f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826a26a103b06d28c69f2f3778fe446f">&#9670;&#160;</a></span>UseMainItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionStopEngine::UseMainItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html#l00059">59</a> of file <a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/Vehicles/<a class="el" href="../../d9/dd0/_action_stop_engine_8c_source.html">ActionStopEngine.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d0e/class_action_stop_engine.html">ActionStopEngine</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
